Package network.server

# Class Server

java.lang.Object
network.server.Server

public class Server extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Server(short port)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Player`
  `addPlayer(String pseudo)`
  `void`
  `broadcastPacket(Packet packet)`
  `Game`
  `getGame()`
  `void`
  `startGame(MultiDoku doku, long gameDuration)`
  `void`
  `stop()`
  `void`
  `stopGame()`
  `void`
  `update()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Server

    public Server(short port) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### broadcastPacket

    public void broadcastPacket(Packet packet)

  - ### update

    public void update()

  - ### stop

    public void stop()

  - ### addPlayer

    public Player addPlayer(String pseudo)

  - ### getGame

    public Game getGame()

  - ### startGame

    public void startGame(MultiDoku doku, long gameDuration)

  - ### stopGame

    public void stopGame()